## apertium-tat 0.1.0~r60887

=== eval/Makefile ===
LANG=tat
STAMP=$(shell date)
DATE=$(shell date +%Y-%m-%d.%H:%M)
LOG=history.log
SRC=src.1000.txt
REF=ref.1000.txt
TST=tst.1000.txt.$(DATE)
all:
	cat $(SRC) | LANG=ca_AD.utf8 lt-proc -w ../$(LANG).automorf.bin > $(TST)
	echo -ne $(STAMP)"\t" >> $(LOG)
	LANG=ca_AD.utf8 python3 evaluate-morph.py $(TST) $(REF) 2>> $(LOG)

=== tests/morphotactics/Makefile ===
# A makefile which trims the transducer to prefixes in /prefixes
# and expands trimmed transducers into text files in the current
# directory.

LANGUAGE=tat

all: N1.txt.gz N1-RUS.txt.gz N-COMPOUND-PX.txt.gz \
	A1.txt.gz \
	V-TV-IR.txt.gz \
	ADV.txt.gz ADV-WITH-KI.txt.gz \
	NUM.txt.gz NUM-ROMAN.txt.gz NUM-ITG.txt.gz \
	PRON.txt.gz \
	COP-I.txt.gz
.deps/.d:
	test -d .deps || mkdir .deps
	touch $@

.PRECIOUS: .deps/.d



.deps/%.prefix.bin: prefixes/%.prefix.dix .deps/.d
	lt-comp lr $< $@

.deps/%.prefix.att: .deps/%.prefix.bin
	lt-print $< | sed 's/ /@_SPACE_@/g' > $@

.deps/%.prefix.hfst: .deps/%.prefix.att
	hfst-txt2fst -e ε < $< > $@

.deps/%.prefix.upper: .deps/%.prefix.hfst
	hfst-project -p upper $< > $@

.deps/any-symbol.hfst:
	echo " ?* " | hfst-regexp2fst > $@

.deps/%.prefixes: .deps/%.prefix.upper .deps/any-symbol.hfst
	hfst-concatenate -1 $< -2 .deps/any-symbol.hfst -o $@

.deps/$(LANGUAGE).automorf.hfst: ../../$(LANGUAGE).automorf.att.gz
	zcat $< | hfst-txt2fst > $@

.deps/%.hfst: .deps/%.prefixes .deps/$(LANGUAGE).automorf.hfst 
	hfst-compose-intersect -1 .deps/$(LANGUAGE).automorf.hfst -2 $< -o $@

%.txt.gz: .deps/%.hfst
	hfst-fst2strings $< | gzip -c > $@

=== debian/changelog ===
apertium-tat (0.1.0~r60887-2) unstable; urgency=low

  * debian/control:
    + Updated Standards-Version to 4.1.5
    + Updated Homepage.
    + Updated Vcs-* fields.
    + Updated Depends.
    + Removed unneeded Build-Dep on hfst.
  * Bumped dh to 11.
  * Updated debian/copyright.

 -- Kartik Mistry <kartik@debian.org>  Mon, 16 Jul 2018 11:00:46 +0530

apertium-tat (0.1.0~r60887-1) unstable; urgency=low

  [ Tino Didriksen ]
  * Initial release (Closes: #828100)
  * No tarball release, so taking directly from svn

 -- Kartik Mistry <kartik@debian.org>  Tue, 28 Jun 2016 09:22:12 +0530

=== debian/control ===
Source: apertium-tat
Section: science
Priority: optional
Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Tino Didriksen <tino@didriksen.cc>,
           Kartik Mistry <kartik@debian.org>
Build-Depends: apertium-dev (>= 3.4),
               cg3,
               debhelper (>= 11),
               gawk,
               hfst-ospell-dev,
               libhfst-dev,
               pkg-config (>= 0.21),
               zip
Standards-Version: 4.1.5
Homepage: https://apertium.org/
Vcs-Git: https://salsa.debian.org/science-team/apertium-tat.git
Vcs-Browser: https://salsa.debian.org/science-team/apertium-tat

Package: apertium-tat
Architecture: all
Depends: apertium (>= 3.4), cg3, hfst, ${misc:Depends}
Description: Apertium single language data for Tatar
 Data package providing Apertium language resources for Tatar

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

#export DH_VERBOSE=1
export DH_OPTIONS
export LC_ALL=C.UTF-8

%:
	dh $@ --fail-missing --with autoreconf

override_dh_auto_configure:
	dh_auto_configure -- --enable-ospell
